<div class="modal fade" id="add_vehicle" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content rounded">
            <div class="modal-header justify-content-between border-0 pb-0" id="add_vehicle_header">
                <h1 class="mb-3 title-modal">Клиент</h1>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1"
                                  transform="rotate(-45 6 17.3137)" fill="black"/>
                            <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                  transform="rotate(45 7.41422 6)" fill="black"/>
                        </svg>
                    </span>
                </div>
            </div>
            <hr class="line-modal">
            <form id="client_create">
                <div class="modal-body pt-0 pb-5 px-5">
                    <div class="d-flex flex-column">
                        <div class="row mt-4 scroll-y " data-kt-scroll="true"
                             id="add_vehicle_scroll"
                             data-kt-scroll-activate="{default: false, lg: true}"
                             data-kt-scroll-max-height="auto"
                             data-kt-scroll-dependencies="#add_vehicle_header"
                             data-kt-scroll-wrappers="#add_vehicle_scroll" data-kt-scroll-offset="300px">
                            <div class="col-12">
                                <label for="name">И.М.О <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="full_name" required>
                                <label for="name">Номер телефон <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="phone_number"
                                       required>
                                <label for="name">Почта <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="email" id="email" required>
                                <label for="name">Код мобильного оператора <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="operator_code"
                                       required>
                                <label for="name">Тег (произвольная метка)</label>
                                <input class="form-control form-input min-h-40px" type="text" id="tag">
                                <label for="name">Часовой пояс</label>
                                <select class="form-select form-select-solid form-input min-h-40px"
                                        data-dropdown-parent="#add_vehicle" id="timezone"
                                        data-hide-search="true" data-placeholder="Компоненты">
                                    <option></option>
                                    {% for timezone in timezones %}
                                        <option value="{{ timezone }}">{{ timezone }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="line-modal">
                <div class="modal-body pt-0 pb-5 px-7">
                    <div class="d-flex justify-content-end flex-row-fluid pt-2">
                        <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">Отмена</button>
                        <button id="add_disables_btn" type="submit" class="btn btn-primary">Добавить</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<script>

    $("#components").select2({
        closeOnSelect: false,
    });

    $("#phone_number").inputmask({
        "mask": "+7 (ddd) ddd-dd-dd",
    });

    $("#client_create").submit(function (event) {
        $("#add_disables_btn").prop('disabled', true);
        event.preventDefault();
        let clientData = new FormData();
        clientData.append("full_name", $("#full_name").val());
        clientData.append("email", $("#email").val());
        clientData.append("phone_number", $("#phone_number").val().replace(/\D/g, ''));
        clientData.append("operator_code", $("#operator_code").val());
        clientData.append("tag", $("#tag").val());
        clientData.append("timezone", $("#timezone").val());


        let client_create = "{% url 'api_notification:client_create' %}";
        $.ajax({
            headers: {"X-CSRFToken": "{{csrf_token}}"},
            url: client_create,
            processData: false,
            contentType: false,
            method: 'POST',
            data: clientData,
            success: function (data) {
                location.reload();
            },
            error: function (data) {
                $("#add_disables_btn").prop('disabled', false);
                Swal.fire({
                    title: 'Проверьте Ваши данные ещё раз!',
                    text: data.responseText,
                    icon: "error",
                    buttonsStyling: !1,
                    confirmButtonText: "Ok",
                    customClass: {confirmButton: "btn fw-bold btn-danger"}
                })
            }

        });
    });

</script>